Package jgromacs.ui

# Class TemplateApplication

java.lang.Object
jgromacs.ui.Application
jgromacs.ui.TemplateApplication

public class TemplateApplication extends Application
Template JGromacs application

## Field Summary

### Fields inherited from class jgromacs.ui.Application

`XMLFileName`

## Constructor Summary

Constructors
Constructor
Description
`TemplateApplication()`

## Method Summary

Modifier and Type
Method
Description
`static void`
`main(String[] args)`
`void`
`runCore()`
You can override this method to include your own code.

### Methods inherited from class jgromacs.ui.Application

`askIndexSetFromUser, askIndexSetFromUser, canRunWithoutArgument, getArgumentValue, getLogFileName, isArgumentGiven, run, setLogFileName, setWritingToLogFile, writeToLogFile`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### TemplateApplication

public TemplateApplication()

## Method Details

### runCore

public void runCore()
Description copied from class: `Application`
You can override this method to include your own code. This is the entry point of your program.

Specified by:
  `runCore` in class `Application`

### main

public static void main(String[] args)